http
PUT /api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/1 HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: text/csv
Accept: application/json
Jae and Oleksii, why
hello, it is the waycurl --request PUT \
--url https://{instance}.domo.com/api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/{part} \
--header 'Content-Type: text/csv' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data 'Jae and Oleksii, why
hello, it is the way'import requests
url = "https://{instance}.domo.com/api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/{part}"
payload = "Jae and Oleksii, why\nhello, it is the way"
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "text/csv"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'text/csv'},
body: 'Jae and Oleksii, why\nhello, it is the way'
};
fetch('https://{instance}.domo.com/api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/{part}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Upload
Upload CSV Part
Uploads CSV data as part of a multi-part upload. This is Stage 2 of the upload process
PUT
/
api
/
data
/
v3
/
datasources
/
{datasetId}
/
uploads
/
{uploadId}
/
parts
/
{part}
http
PUT /api/data/v3/datasources/{datasetId}/uploads/{uploadId}/parts/1 HTTP/1.1
Host: {instance}.domo.com
X-DOMO-Developer-Token: {token}
Content-Type: text/csv
Accept: application/json
Jae and Oleksii, why
hello, it is the way⌘I